Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.parameter
Class InvalidParameterValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.deegree.datatypes.parameter.InvalidParameterValueException

All Implemented Interfaces:
  Serializable

    public class InvalidParameterValueException

extends IllegalArgumentException

Thrown when a parameter with an invalid value was encountered.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`InvalidParameterValueException(String message, String parameterName, double value)` Creates an exception with the specified invalid value as a floating point.
`InvalidParameterValueException(String message, String parameterName, int value)` Creates an exception with the specified invalid value as an integer.
`InvalidParameterValueException(String message, String parameterName, Object value)` Creates an exception with the specified invalid value.

Method Summary
`String` | `getParameterName()` Returns the parameter name.
`Object` | `getValue()` Returns the invalid parameter value.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterValueException

    public InvalidParameterValueException(String message,
                                          String parameterName,
                                          Object value)

  Creates an exception with the specified invalid value.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The parameter name.
    `value` - The invalid parameter value.

### InvalidParameterValueException

    public InvalidParameterValueException(String message,
                                          String parameterName,
                                          double value)

  Creates an exception with the specified invalid value as a floating point.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The parameter name.
    `value` - The invalid parameter value.

### InvalidParameterValueException

    public InvalidParameterValueException(String message,
                                          String parameterName,
                                          int value)

  Creates an exception with the specified invalid value as an integer.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The parameter name.
    `value` - The invalid parameter value.

Method Detail

### getParameterName

    public String getParameterName()

  Returns the parameter name.

  Returns:
    the parameter name.

### getValue

    public Object getValue()

  Returns the invalid parameter value.

  Returns:
    the invalid parameter value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org